[Developer] MediaElement.js Integration 4.2.14

License Agreement
MIT
Website
https://www.softcreatr.de
Supported Versions
WoltLab Suite 3.0
WoltLab Suite 3.1

Provides MediaElement.js for WoltLab Suite Core (Vortex)

The MediaElement.js integration brings the MediaElement.js html5 player to WoltLab Suite Core 3. MediaElement.js is a blazingly fast and amazingly powerful HTML5 audio and video library that creates a unified feel for all media files (MP4, WebM, MP3, FLV), streaming content (HLS, M(PEG)-DASH, RTMP), and embeddable players like YouTube, Vimeo, Twitch, DailyMotion, Facebook, and SoundCloud. It and provides a consistent interface across all browsers.


Why use MediaElement.js?


The two big reasons to use the MediaElement.js library are browser support and consisten theming. The MediaElement.js library enables browser support for the audio and video tags to the following browsers (and their method for supporting the tag/h.264):

  • iPhone, iPad: native HTML5
  • Android: native HTML5
  • Safari: native HTML5
  • Chrome: Silverlight/Flash
  • Internet Explorer 9: native HTML5
  • Internet Explorer 6,7,8: Silverlight/Flash
  • Firefox: Silverlight/Flash
  • Opera: Silverlight/Flash

The second reason is the consistent display of the player. Each of the major browsers has their own display for the video and audio element. MediaElement.js provides a consisten player that can be themed consistently across all browsers.


Example usage:


HTML
  1. <video width="640" height="360" id="player1" preload="none">
  2. <source type="video/youtube" src="videos/example.mp4" />
  3. </video>


More information and possible options can be found at http://mediaelementjs.com/

  • Version 4.2.14

    Update
  • Version 4.2.12 pl 1

    Update
  • Version 4.2.11

    Update
  • Version 4.2.9 pl 3

    - Updated template to prevent multiple processing of the same element by MeJS

    - Applied multiple (inofficial) bugfixes and improvements to MeJS

  • Version 4.2.9 pl 1

    Update
  • Version 1.2.1

    - Updated MeJs to 4.2.8

    - Added compability to WSC 3.1

  • Version 1.1.0 pl 1

    Update
  • Version 1.1.0

    Update
  • Version 1.0.0 RC 1